#
# spec file for package 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           zmap
Version: 1.1.2
Release: 2%{?dist}.art
License:        Apache-2.0
Summary:        Network scanner for Internet-wide network studies
Url:            https://zmap.io/
Group:          Productivity/Networking/Diagnostic
Source0:        https://github.com/zmap/zmap/archive/v%{version}.tar.gz
Patch0:         zmap-32bit-portability.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gmp-devel
BuildRequires:  libpcap-devel
BuildRequires:  gengetopt

%description
ZMap is an open-source network scanner that enables researchers to easily
perform Internet-wide network studies. With a single machine and a well
provisioned network uplink, ZMap is capable of performing a complete scan of
the IPv4 address space in under 45 minutes, approaching the theoretical limit
of gigabit Ethernet.

ZMap can be used to study protocol adoption over time, monitor service
availability, and help us better understand large systems distributed across
the Internet.

While ZMap is a powerful tool for researchers, please keep in mind that by
running ZMap, you are potentially scanning the ENTIRE IPv4 address space and
some users may not appreciate your scanning. We encourage ZMap users to respect
requests to stop scanning and to exclude these networks from ongoing scanning.

Developers suggest that users coordinate with local network administrators
before performing any scans and they have developed a set of scanning best
practices [https://zmap.io/documentation.html#bestpractices], which they
encourage researchers to consider. It should go without saying that researchers
should refrain from exploiting vulnerabilities or accessing protected
resources, and should comply with any special legal requirements in their
jurisdictions.

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1

%build
cd src
make %{?_smp_mflags}

%install
#mvyskocil: install is so trivial, that it's easier to do it manually than patch the Makefile
#           however it's not the right approach
cd src
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp -a ../conf/* %{buildroot}%{_sysconfdir}/%{name}/

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%defattr(0644,root,root,0755)
%doc AUTHORS CHANGELOG LICENSE README
%doc examples

%dir %{_sysconfdir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_mandir}/man1/%{name}.*

%changelog
* Mon Feb 10 2014 scott@atomicorp.com - 1.1.2-2
- Update to 1.1.2


* Tue Aug 20 2013 mvyskocil@suse.com
- package zmap 1.0.3 for openSUSE
  * zmap-32bit-portability.patch to fix i586 build
